<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class meeting_knocks_Controller extends Controller
{
    public $selfName = 'meeting_knocks_Controller';

	// GET /meeting_knocks
	public function index(Request $request) {
		$records = DB::table('meeting_knock')->get();
		return response()->view('admin/meeting_knocks/index', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /meeting_knocks/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/meeting_knocks/view/$uid/SUB_dashboard");
	}
}
